Subject: Re: [PATCH 1/8] ahead-behind: create empty builtin

From: Junio C Hamano <[email-masked]>
Date: Wed, 08 Mar 2023 14:56:17 -0800

Derrick Stolee <[email-masked]> writes:

> What I have yet to determine is that 'git for-each-ref' does
> not have significant overhead due to how it's implementation is
> built around listing "all refs that match" versus an explicit
> input list of refs. There's also the concept of '--stdin' that
> would be interesting to interact with.

Yeah, we could add --no-sort to allow streaming better and --stdin
to feed list of refs to work on, if the end-user facing interface
based on --format is what people find reasonable.

> I'll continue to investigate this path and report back when I
> have more of this information. This is as far I as I could get
> today.

Thanks.  It is a very interesting experiment.